#144 closed defect (fixed)

bootp accesses NULL location at startup

Reported by: thomas.doerfler Owned by: Eric Norum
Priority: normal Milestone: 2
Component: network/legacy Version: unknown
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@…, thomas.doerfler@… Blocked By:
Blocking:

Description

function "bootpc_init" performs a write to memory address 0 when called for the first time. This is done when trying to clear the variable "dhcp_hostname".

A bugfix/patch is in the attached file.

Release:
RTEMS-ss-20020205

Environment:
all targets with networking

How-To-Repeat:
Start a system using BOOTP and monitor location 0x000-0x003, these are overwritten when bootp is executed.

Attachments (3)

bootp_subr.c.patch (613 bytes) - added by thomas.doerfler on Dec 3, 2006 at 1:31:12 PM.
bootp_subr.c.patch
bootp_subr.c_v1.patch (1.3 KB) - added by thomas.doerfler on Dec 3, 2006 at 1:31:12 PM.
bootp_subr.c.patch
bootp_subr.c_v2.patch (3.8 KB) - added by thomas.doerfler on Dec 3, 2006 at 1:31:12 PM.
bootp_subr.c.patch

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Mar 20, 2002 at 10:42:50 PM by thomas.doerfler

Status: assignedclosed

comment:2 Changed on Mar 20, 2002 at 11:34:38 PM by Joel Sherrill

Status: closedassigned

comment:3 Changed on Mar 27, 2002 at 1:45:30 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: analyzed->closed
State-Changed-Why: attachment 2 was applied. :)

Changed on Dec 3, 2006 at 1:31:12 PM by thomas.doerfler

Attachment: bootp_subr.c_v2.patch added

bootp_subr.c.patch

Note: See TracTickets for help on using tickets.